Bug 734249 - RFE: Support "rpm -qa" style TAG=glob queries
Summary: RFE: Support "rpm -qa" style TAG=glob queries
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Fedora Packaging Toolset Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-29 21:28 UTC by Matt McCutchen
Modified: 2014-01-21 23:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 17:59:07 UTC


Attachments (Terms of Use)
Patch (experimental) (8.84 KB, patch)
2011-08-29 21:30 UTC, Matt McCutchen
no flags Details | Diff
Patch (experimental) (blooper fix) (8.84 KB, patch)
2011-09-02 16:35 UTC, Matt McCutchen
no flags Details | Diff

Description Matt McCutchen 2011-08-29 21:28:32 UTC
Description of problem:
"rpm -qa" supports TAG=value queries, e.g.:

$ rpm -qa 'SOURCERPM=bash-4.2.10-4.fc15.src.rpm'
bash-4.2.10-4.fc15.x86_64

yum could support the same.

Version-Release number of selected component (if applicable):
yum-3.2.29-9.fc15.noarch

How reproducible:
Always

Steps to Reproduce:
1. yum list 'SOURCERPM=bash-4.2.10-4.fc15.src.rpm'
  
Actual results:
Error: No matching Packages to list

Expected results:
Installed Packages
bash.x86_64                          4.2.10-4.fc15                      @updates
Available Packages
bash.x86_64                          4.2.10-4.fc15                      updates 
bash-doc.x86_64                      4.2.10-4.fc15                      updates

Comment 1 Matt McCutchen 2011-08-29 21:30:18 UTC
Created attachment 520469 [details]
Patch (experimental)

The attached patch is working OK in casual testing.  It works for "repoquery -qa" too, which is what originally gave me the idea.

Comment 2 Matt McCutchen 2011-09-02 16:35:10 UTC
Created attachment 521262 [details]
Patch (experimental) (blooper fix)

Comment 3 Fedora Admin XMLRPC Client 2012-04-27 15:40:20 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora End Of Life 2012-08-07 17:59:10 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.